Subject: [bug#42014] [PATCH] WIP: gnu: Re-bootstrap Haskell with GHC 8.2.2 binaries.

From: Alex Griffin <[email-masked]>
Date: Sat, 27 Jun 2020 22:09:48 +0000

Hi Ricardo,

I actually had the same thought, and asked about it on IRC with no response. So I just did the simplest thing I could to get started. Once we have a working compiler on ARM, it should be pretty easy to restore the old x86 bootstrap path.

In particular, the complexities of having the GHC 8.4 package bootstrapped from upstream binaries on some architectures vs a previous package on others, just seemed like an unnecessary distraction until we can work through the build problems on ARM.

--
Alex Griffin

‐‐‐‐‐‐‐ Original Message ‐‐‐‐‐‐‐
On Saturday, June 27, 2020 9:21 PM, Ricardo Wurmus <[email-masked]> wrote:

>
>
> Alex Griffin via Guix-patches [email-masked] writes:
>
> > This patch replaces the GHC 7.8.4 bootstrap binaries with binaries of
> > GHC 8.2.2, with an eye towards supporting ARM systems. I have not yet
> > succeeded in bootstrapping GHC on ARM, but 8.2.2 is the first release
> > with official binary distributions for both armv7 and aarch64.
>
> Can we do this only for armhf and aarch64? I wouldn’t like to replace
> the bootstrap binary for the other architectures with a newer version
> without a good reason. (We should aim to remove the binary completely,
> not replace it with newer and newer versions.)
>
> --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
>
> Ricardo